//--------------------------------------------------------------
//
//  VStruct.h
//
//  #include this header file for any program that defines a
//  structure; i.e. uses VSTRUCT_DEF macro.
//
//  Not needed in files that just use the defined structures.
//
//  Revision history:
//  
//  v1.00   28-Oct-97   First semi-public release
//   1.01   15-Dec-97   Added extra parens to TYPE_STRING def
//   1.10   18-Dec-97   Added separate BOOL type
//                      Added INT(ABS()) to TYPE_STRING def
//
//--------------------------------------------------------------
#ifndef VSTRUCT_H
#define VSTRUCT_H

#include <STRUCTAPI.H>

#undef TYPE_STRING                      // Always null-terminated
#define TYPE_STRING(n)    (-int(abs(n)))
#undef TYPE_BOOL
#define TYPE_BOOL         24            // Distinguish from INT

#define TYPE_BOOL8        20
#define TYPE_BOOL16       22
#define TYPE_BOOL32       TYPE_BOOL
#define SIZEOF_BOOL8      SIZEOF_CHAR
#define SIZEOF_BOOL16     SIZEOF_SHORT
#define SIZEOF_BOOL32     SIZEOF_BOOL

#define VSTRUCT_DEF       new VStruct().regStruct
#define VSTRUCT_ISDEF(c)  (new VStruct().isRegStruct(c))

#endif
